source "$EXP_ROOT/experiments/memcached.shared.sh"

QPS_START_PER_THREAD=45000
QPS_END_PER_THREAD=110000
QPS_STEP_PER_THREAD=5000

pre_start() {
    memcached_pre_start

    if [ "$CALADAN" == "true" ]; then
        QPS_STEP_PER_THREAD=20000
        QPS_END_PER_THREAD=330000
    fi
}

run_exp() {
    memcached_init

    QPS_START=$((QPS_START_PER_THREAD * THREADS))
    QPS_END=$((QPS_END_PER_THREAD * THREADS))
    QPS_STEP=$((QPS_STEP_PER_THREAD * THREADS))

    for QPS in $(seq $QPS_START $QPS_STEP $QPS_END); do
        export QPS
        run_mutilate $QPS
        sleep 15
    done    

    memcached_deinit
}

post_start() {
    memcached_deinit
}
